<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { inject, ref, watchEffect, type Ref } from 'vue'
import { useRoute } from 'vue-router'
const rail = inject<Ref<boolean>>('rail')

const icon = ref<string>('')
const title = ref<string>('')
const route = useRoute()
const currentTime = ref<string>('')
const authStore = useAuthStore()
function ShowTime() {
  const timeNow = new Date()
  currentTime.value = timeNow.toLocaleTimeString()
}
setInterval(ShowTime, 1000)

watchEffect(() => {
  if (route.name === 'pos') {
    icon.value = 'mdi-cart'
    title.value = 'Point of Sale'
  } else if (route.name === 'stocks') {
    icon.value = 'mdi-package-variant'
    title.value = 'Stock Management'
  } else if (route.name === 'buystock') {
    icon.value = 'mdi-cart-plus'
    title.value = 'Buy Stock'
  } else if (route.name === 'usestock') {
    icon.value = 'mdi-cart-minus'
    title.value = 'Use Stock'
  } else if (route.name === 'receiptBuystock') {
    icon.value = 'mdi-receipt'
    title.value = 'Receipt BuyStock'
  } else if (route.name === 'receiptUsestock') {
    icon.value = 'mdi-receipt'
    title.value = 'Receipt UseStock'
  } else if (route.name === 'receiptCheckstock') {
    icon.value = 'mdi-receipt'
    title.value = 'Receipt CheckStock'
  } else if (route.name === 'member') {
    icon.value = 'mdi-account-group'
    title.value = 'Member Manager'
  } else if (route.name === 'salary') {
    icon.value = 'mdi-account-cash'
    title.value = 'Salary Management'
  } else if (route.name === 'attendance') {
    icon.value = 'mdi-clock'
    title.value = 'Time Attendance'
  } else if (route.name === 'attendanceTable') {
    icon.value = 'mdi-account-clock'
    title.value = 'Employee Attendance'
  } else if (route.name === 'history') {
    icon.value = 'mdi-clipboard-text-clock'
    title.value = 'History Attendance'
  } else if (route.name === 'customer') {
    icon.value = 'mdi-account-group'
    title.value = 'Customer Management'
  } else if (route.name === 'employee') {
    icon.value = 'mdi-account'
    title.value = 'Employee Management'
  } else if (route.name === 'user') {
    icon.value = 'mdi-account-tie'
    title.value = 'User Management'
  } else if (route.name === 'login') {
    icon.value = 'mdi-login'
    title.value = 'Login'
  } else if (route.name === 'promotion') {
    icon.value = 'mdi-ticket-percent-outline'
    title.value = 'Promotion'
  } else if (route.name === 'receipt') {
    icon.value = 'mdi-receipt'
    title.value = 'Receipt Management'
  }  else if (route.name === 'se') {
    icon.value = 'mdi-cash-plus'
    title.value = 'Store Expenses Bill'
  }  else if (route.name === 'sereport') {
    icon.value = 'mdi-file-chart'
    title.value = 'Store Expenses Report'
  } else if (route.name === 'sechart') {
    icon.value = 'mdi-file-chart'
    title.value = 'Store Expenses Chart'
  }  else if (route.name === 'branch') {
    icon.value = 'mdi-store'
    title.value = 'Branch Management'
  } else if (route.name === 'product') {
    icon.value = 'mdi-food-fork-drink'
    title.value = 'Product Management'
  }else if (route.name === 'static') {
    icon.value = 'mdi-finance'
    title.value = 'Performance'
  } else {
    icon.value = ''
    title.value = ''
  }
})
</script>

<template>
  <v-app-bar color="rgba(255, 255, 255, 0.92)">
    <template v-slot:prepend>
      <v-app-bar-nav-icon
        @click.stop="rail = !rail"
        style="font-size: 20px; color: rgb(247, 156, 82)"
      ></v-app-bar-nav-icon>
    </template>

    <v-app-bar-title>
      <v-icon style="color: rgb(247, 156, 82); font-weight: bold; font-size: 45px">{{
        icon
      }}</v-icon>
      <span style="color: rgb(247, 156, 82); font-weight: bold; font-size: 30px">{{ title }}</span>
    </v-app-bar-title>

    <v-spacer></v-spacer>
    <v-list-item
      :prepend-avatar="`http://localhost:4000/images/users/${authStore.getCurrentUser()?.image}`"
    >
      <template #title>
        <span style="font-size: 20px; color: rgb(247, 156, 82); font-weight: bold">{{
          authStore.getCurrentUser()?.employee?.name || ''
        }}</span>
      </template>
      <template #subtitle>
        <span style="font-size: 17px">{{ authStore.getCurrentUser()?.role.name || '' }}</span>
      </template>
    </v-list-item>
  </v-app-bar>
</template>

<style>
.TimeTitle {
  color: rgb(247, 156, 82);
  font-size: 35px;
  margin-right: 45px;
}
</style>
